# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(IO/String.pm) perl(Mail/Folder.pm) perl(Mail/Folder/Maildir.pm) perl(Mail/Folder/Mbox.pm) perl(Mail/Header.pm) perl(Mail/IMAPClient.pm) perl(Mail/Internet.pm) perl(Mail/POP3Client.pm) perl(Mail/Util.pm) perl(Net/SMTP.pm) perl(Pod/Usage.pm) perl(Proc/Simple.pm) perl(Proc/SyncExec.pm) perl(Symbol.pm) perl(Term/ANSIColor.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Text/Balanced.pm) perl(Time/Local.pm) perl(Time/ParseDate.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.2.5
%define module_name flail
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.5
Release: alt1
Summary: a hacker's mailer in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AT/ATTILA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
flail is a hacker's mailer, written in Perl, and sporting a.command-line interface.  It currently supports pop3 and imap for
access to remote maildrops, as well as regular old Unix mail spool
files for local maildrops (e.g. because you use fetchmail).

The commands are vaguely Unix-like (rm, cp, mv, cat, ls).  There are
facilities for mapping bits of perl code over some subset of the
messages in a folder, crypto, external editors, and user-defined
commands.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE TODO ChangeLog README
%perl_vendor_privlib/S*

%files scripts
%_bindir/*
%_man1dir/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.5-alt1
- initial import by package builder

